class 'RavenGroundMg' (RavenMg)

function RavenGroundMg:__init(name)
    RavenMg.__init(self, name)  
    AddUniqueGameState('RavenElementFound', 'GROUND')
    
    --self:getEntityNamed('fade_in_on_load'):setRespondable(true)
    --self:getEntityNamed('fade_in_on_load').onPress:add(bind(self.onScreenDestroy, self))
    --self:getEntityNamed('fade_in_on_load'):setCursorOverName('CursorDown')
        
    self.win = {}
	self.Vertex = { {fish = "b_1",x = 0,y = 0},{fish = "el_2",x = 0,y = 0},{fish = "r_2",x = 0,y = 0},{fish = "g_2",x = 0,y = 0},{fish = "b_3",x = 0,y = 0},{fish = "el_1",x = 0,y = 0},{fish = "g_1",x = 0,y = 0},
	                {fish = "b_2",x = 0,y = 0},{fish = "el_3",x = 0,y = 0},{fish = "r_1",x = 0,y = 0},{fish = "g_3",x = 0,y = 0},{fish = "r_3",x = 0,y = 0},{fish = "g_5",x = 0,y = 0},{fish = "b_4",x = 0,y = 0},
	                {fish = "g_4",x = 0,y = 0},{fish = "b_5",x = 0,y = 0},{fish = "el_5",x = 0,y = 0},{fish = "r_5",x = 0,y = 0},{fish = "g_6",x = 0,y = 0},{fish = "b_6",x = 0,y = 0},{fish = "r_4",x = 0,y = 0} }
	self.Reserve = {'el_4','r_6','r_7','el_6','g_7','el_7','b_7'}
	self.Triangle = {{19,20,21},{17,18,20},{17,20,19},{16,17,19},{14,15,18},{14,18,17},{13,14,17},{13,17,16},{12,13,16},{10,11,15},{10,15,14},{9,10,14},{9,14,13},{8,9,13},{8,13,12},{7,8,12},{5,6,11},{5,11,10},{4,5,10},{4,10,9},{3,4,9},{3,9,8},{2,3,8},{2,8,7},{1,2,7} }
    for i = 1,21 do
        self.Vertex[i].x = self:getEntityNamed(self.Vertex[i].fish):getX()
        self.Vertex[i].y = self:getEntityNamed(self.Vertex[i].fish):getY()
        self:getEntityNamed(self.Vertex[i].fish):setOrder(100)
    end
    for i = 1,7 do
        self:getEntityNamed(self.Reserve[i]):hide()
        self:getEntityNamed(self.Reserve[i]):setOrder(100)
    end
    for i = 1,25 do
        self.win[i] = 0
        self:getEntityNamed('tr_'..i).onClickBegin:add(bind( self.onObjectMouseDown, self ) )
        self:getEntityNamed('tr_'..i):setOrder(5)
        self:getEntityNamed( 'tr_'..i ).onFocusIn:add(bind( self.onObjectMouseEnter, self ) )
	    self:getEntityNamed( 'tr_'..i ).onFocusOut:add(bind( self.onObjectMouseLeave, self ) )
        self:getEntityNamed('array_'..i):play()
        self:getEntityNamed('array_'..i):setOpacity(0)
        self:getEntityNamed('array_'..i):setOrder(20)
        self:getEntityNamed('array_'..i):setScaleX(-1)
        self:getEntityNamed('array_'..i):setX(self:getEntityNamed( 'tr_'..i ):getX())
        self:getEntityNamed('array_'..i):setY(self:getEntityNamed( 'tr_'..i ):getY())
        self:getEntityNamed('lenta_'..i):setVisible(false)
    end
    self.time_move = 0.15
    self.time_ignore = 0
    self.win_fisha = 0
       
    self:SaveLoad()
    
    self.timer:add(function()
        self:getEntityNamed('area_return').onClickBegin:add(function()
                                                                self:entityHide('area_return')
                                                                self:onScreenDestroy()
                                                            end)
        self:getEntityNamed('area_return'):setCursorOverName('CursorDown')
    end, 1)
end

function RavenGroundMg:onUpdate(dt)
    
end


function RavenGroundMg:SaveLoad()
    --[[if HasGameState('RAVEN_FEATURE_PERCENTAGE_BATTERY_GROUND') then
        RemoveGameState('RAVEN_FEATURE_PERCENTAGE_BATTERY_GROUND','100')
        return
    end--]]
    if HasGameState('RAVEN_GROUND_COMPLETED') then
        RemoveGameState('RAVEN_GROUND_COMPLETED','RAVEN_GROUND_COMPLETED')
        if HasGameState('RavenGroundMg_win') then
            RemoveGameState('RavenGroundMg_win')
        end
        if HasGameState('RavenGroundMg_Reserve') then
            RemoveGameState('RavenGroundMg_Reserve')
        end
        if HasGameState('RavenGroundMg_Vertex') then
            RemoveGameState('RavenGroundMg_Vertex')
        end
    else
        if HasGameState('RavenGroundMg_Vertex') then
            self.Vertex = Helpers.RestoreObjectFromGameState('RavenGroundMg_Vertex')
            for i = 1,21 do
                self:getEntityNamed(self.Vertex[i].fish):destroyEffectors()
                self:getEntityNamed(self.Vertex[i].fish):setXY(self.Vertex[i].x,self.Vertex[i].y)
                self:getEntityNamed(self.Vertex[i].fish):show()
                self:getEntityNamed(self.Vertex[i].fish):setScale(1)
            end
        end
        if HasGameState('RavenGroundMg_Reserve') then
            self.Reserve = Helpers.RestoreObjectFromGameState('RavenGroundMg_Reserve')
            for i = 1,7 do
                self:getEntityNamed(self.Reserve[i]):destroyEffectors()
                self:getEntityNamed(self.Reserve[i]):hide()
                self:getEntityNamed(self.Reserve[i]):setScale(0)
            end
        end
        if HasGameState('RavenGroundMg_win') then
            self.win = Helpers.RestoreObjectFromGameState('RavenGroundMg_win')
            for i = 1,25 do
                if self.win[i] == 1 then
                    self:getEntityNamed('tr_'..i):setOpacity(0.1)
                end
            end
        end
    end
end

function RavenGroundMg:onObjectMouseEnter(entity, state)
    if string.find(entity:getName(),'tr_') then
        self:stopSound('onfocus_sound')
        self:playSound('onfocus_sound')
        local i = string.sub(entity:getName(),4)
        self:getEntityNamed('array_'..i):setOpacity(1)
    end
end

function RavenGroundMg:onObjectMouseLeave(entity, state)
    if string.find(entity:getName(),'tr_') then
        local i = string.sub(entity:getName(),4)
        self:getEntityNamed('array_'..i):setOpacity(0)
    end
end

function RavenGroundMg:onObjectMouseDown(entity, state)
    if string.find(entity:getName(),'tr_') then
        self:Ignore(true)
        self.time_ignore = 0
        local tr = tonumber(string.sub(entity:getName(),4))
        self:stopSound('sound_move')
        self:playSound('sound_move')
        self:getEntityNamed(self.Vertex[self.Triangle[tr][1]].fish):MoveTo(self.Vertex[self.Triangle[tr][2]].x ,self.Vertex[self.Triangle[tr][2]].y,self.time_move)--,0,true) + self:getMainEntity():getScrX()
        self:getEntityNamed(self.Vertex[self.Triangle[tr][2]].fish):MoveTo(self.Vertex[self.Triangle[tr][3]].x,self.Vertex[self.Triangle[tr][3]].y,self.time_move)--,0,true)
        self:getEntityNamed(self.Vertex[self.Triangle[tr][3]].fish):MoveTo(self.Vertex[self.Triangle[tr][1]].x ,self.Vertex[self.Triangle[tr][1]].y,self.time_move)--,0,true)
        self.Vertex[self.Triangle[tr][1]].fish,self.Vertex[self.Triangle[tr][2]].fish,self.Vertex[self.Triangle[tr][3]].fish = self.Vertex[self.Triangle[tr][3]].fish,self.Vertex[self.Triangle[tr][1]].fish,self.Vertex[self.Triangle[tr][2]].fish
        Helpers.SaveObjectToGameState('RavenGroundMg_Vertex',self.Vertex)
        self.timer:add(function()
                                self:Prove_vertex()
        end,2*self.time_move + 0.1)
    end
end

function RavenGroundMg:Prove_vertex()
    for i = 25,1,-1 do
        if self.win[i] == 0 then
            if string.sub(self.Vertex[self.Triangle[i][1] ].fish,1,1) == string.sub(self.Vertex[self.Triangle[i][2] ].fish,1,1) and string.sub(self.Vertex[self.Triangle[i][2] ].fish,1,1) == string.sub(self.Vertex[self.Triangle[i][3] ].fish,1,1) then
                self.win[i] = 1
                self:stopSound('sound_right')
                self:playSound('sound_right')
                self:If_win()
                self.time_ignore = self.time_ignore + 0.5
                local rand_1 = math.random(1,2)
                local rand_2 = math.random(3,4)
                local rand_3 = math.random(5,7)
                local new_fish = {self.Reserve[rand_1],self.Reserve[rand_2],self.Reserve[rand_3]}
                self.Reserve[rand_1] = self.Vertex[self.Triangle[i][1] ].fish
                self.Reserve[rand_2] = self.Vertex[self.Triangle[i][2] ].fish
                self.Reserve[rand_3] = self.Vertex[self.Triangle[i][3] ].fish
                local old_fish = {self.Vertex[self.Triangle[i][1] ].fish,self.Vertex[self.Triangle[i][2] ].fish,self.Vertex[self.Triangle[i][3] ].fish}
                for j = 1,3 do
                    self.Vertex[self.Triangle[i][j] ].fish = new_fish[j]
                    self:getEntityNamed(new_fish[j]):setXY(self.Vertex[self.Triangle[i][j] ].x,self.Vertex[self.Triangle[i][j] ].y)
                end
                Helpers.SaveObjectToGameState('RavenGroundMg_Vertex',self.Vertex)
                Helpers.SaveObjectToGameState('RavenGroundMg_Reserve',self.Reserve)
                Helpers.SaveObjectToGameState('RavenGroundMg_win',self.win)
                self:getEntityNamed('tr_'..i):hide()
                self:getEntityNamed('lenta_'..i):setVisible(true)
                self:getEntityNamed('lenta_'..i):play()
                self.timer:add(function()
                                          self:getEntityNamed('lenta_'..i):stop()
                                          self:getEntityNamed('lenta_'..i):hide()
                end,0.9)
                for j = 1,3 do
                    self:getEntityNamed(old_fish[j]):ChangeScale(1,0,0.22)
                    self:getEntityNamed(new_fish[j]):show()
                    self:getEntityNamed(new_fish[j]):setScale(0)
                    self:getEntityNamed(new_fish[j]):ChangeScale(0,1,0.5)
                end
               self.timer:add(function()
                                                  self:Prove_vertex()
               end,0.8)
                return true
            end
        end
    end
    self:Ignore(false)
    return false
end

function RavenGroundMg:If_win()
    self.win_fisha = 1
    for i = 1,25 do
        if self.win[i] == 0 then
            self.win_fisha = 0
        end
    end
    
    if self.win_fisha == 1 then
        --
        if HasGameState('RAVEN_FEATURE_PERCENTAGE_BATTERY_GROUND') then
            local percent = GetGameState('RAVEN_FEATURE_PERCENTAGE_BATTERY_GROUND'):get(0) or '0' 
            RemoveGameState('RAVEN_FEATURE_PERCENTAGE_BATTERY_GROUND', percent)
        end
        --
        self:entityHide('area_return')
        AddGameState('RAVEN_GROUND_COMPLETED', 'RAVEN_GROUND_COMPLETED')
        AddGameState('RAVEN_FEATURE_PERCENTAGE_BATTERY_GROUND', '100')
        if HasGameState('RAVEN_FEATURE_COUNT_GROUND') then
            local count = GetGameState('RAVEN_FEATURE_COUNT_GROUND'):get(0) or '0' 
            RemoveGameState('RAVEN_FEATURE_COUNT_GROUND', count)
            count = string.upper(0)
            AddGameState('RAVEN_FEATURE_COUNT_GROUND', count)
        else
            count = string.upper(0)
            AddGameState('RAVEN_FEATURE_COUNT_GROUND', count)
        end
        --current_scene:getPlayField():getMouseBlocker():push()
        self.timer:add(function()
                                      for i = 1,21 do
                                          self:getEntityNamed(self.Vertex[i].fish):ChangeOpacity(1,0,0.7)
                                      end
                                      self:getEntityNamed('bambuk'):ChangeOpacity(1,0,0.7)
                                      self.timer:add(function()
                                            --self:entityShow('area_return')
                                            self:onScreenDestroy()                                            
                                            --current_scene:getPlayField():getMouseBlocker():pop()
                                      end, 2)
        end,self.time_ignore + self.time_move + 0.2 )
    end
end

function RavenGroundMg:Ignore(bool)
    if bool then
        for i = 1,25 do
            self:getEntityNamed('tr_'..i):setRespondable(false);
        end
    else
        if self.win_fisha == 0 then
            for i = 1,25 do
                    self:getEntityNamed('tr_'..i):setRespondable(true);
            end
        end
    end
end

function RavenGroundMg:SkipMiniGame()
    self.win_fisha = 1
    self:Ignore(true)
    self:getEntityNamed('bambuk'):ChangeOpacity(1,0,0.7)
    self:entityHide('area_return')
    --
    if HasGameState('RAVEN_FEATURE_PERCENTAGE_BATTERY_GROUND') then
        local percent = GetGameState('RAVEN_FEATURE_PERCENTAGE_BATTERY_GROUND'):get(0) or '0' 
        RemoveGameState('RAVEN_FEATURE_PERCENTAGE_BATTERY_GROUND', percent)
    end
    --
    AddGameState('RAVEN_GROUND_COMPLETED', 'RAVEN_GROUND_COMPLETED')
    AddGameState('RAVEN_FEATURE_PERCENTAGE_BATTERY_GROUND', '100')
    if HasGameState('RAVEN_FEATURE_COUNT_GROUND') then
        local count = GetGameState('RAVEN_FEATURE_COUNT_GROUND'):get(0) or '0' 
        RemoveGameState('RAVEN_FEATURE_COUNT_GROUND', count)
        count = string.upper(0)
        AddGameState('RAVEN_FEATURE_COUNT_GROUND', count)
    else
        count = string.upper(0)
        AddGameState('RAVEN_FEATURE_COUNT_GROUND', count)
    end
    for i = 1,25 do
        self:getEntityNamed('tr_'..i):hide()
    end
    for i = 1,21 do
        self:getEntityNamed(self.Vertex[i].fish):destroyEffectors()
        self:getEntityNamed(self.Vertex[i].fish):hide()
    end
    for i = 1,7 do
        self:getEntityNamed(self.Reserve[i]):destroyEffectors()
        self:getEntityNamed(self.Reserve[i]):hide()
    end
    --self.timer:add(function()
                             self:onScreenDestroy()
    --end, 1)
end
--------------------------------------------------------------------------------
--                      GENERATED CONTENT. DO NOT EDIT.                       --
--------------------------------------------------------------------------------

function RavenGroundMg:CreateLoaderTable()
	local objects =
	{
		{ name = 'g_1',  entityType = 'SpriteEntity',  x = 303,  y = 253,  order = 0,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/RavenGroundMg/fishka_2.png',  width = 66,  height = 66,  },
		{ name = 'tr_6',  entityType = 'SpriteEntity',  x = 521,  y = 371,  order = 0,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/RavenGroundMg/treugolnik_3uroven_.png',  width = 86,  height = 76,  },
		{ name = 'tr_2',  entityType = 'SpriteEntity',  x = 521,  y = 442,  order = 0,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/RavenGroundMg/treugolnik_4uroven.png',  width = 86,  height = 76,  },
		{ name = 'tr_3',  entityType = 'SpriteEntity',  x = 478,  y = 444,  order = 0,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/RavenGroundMg/treugolnik_4uroven_.png',  width = 86,  height = 76,  },
		{ name = 'tr_1',  entityType = 'SpriteEntity',  x = 476,  y = 517,  order = 0,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/RavenGroundMg/treugolnik_5uroven.png',  width = 86,  height = 76,  },
		{ name = 'tr_14',  entityType = 'SpriteEntity',  x = 434,  y = 291,  order = 0,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/RavenGroundMg/treugolnik_2uroven.png',  width = 86,  height = 76,  },
		{ name = 'tr_13',  entityType = 'SpriteEntity',  x = 479,  y = 293,  order = 0,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/RavenGroundMg/treugolnik_2uroven_.png',  width = 86,  height = 76,  },
		{ name = 'tr_25',  entityType = 'SpriteEntity',  x = 301,  y = 216,  order = 0,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/RavenGroundMg/treugolnik_1uroven.png',  width = 86,  height = 76,  },
		{ name = 'tr_24',  entityType = 'SpriteEntity',  x = 345,  y = 218,  order = 0,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/RavenGroundMg/treugolnik_1uroven_.png',  width = 86,  height = 76,  },
		{ name = 'r_1',  entityType = 'SpriteEntity',  x = 566,  y = 253,  order = 0,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/RavenGroundMg/fishka_3.png',  width = 66,  height = 66,  },
		{ name = 'el_1',  entityType = 'SpriteEntity',  x = 694,  y = 180,  order = 0,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/RavenGroundMg/fishka_4.png',  width = 66,  height = 66,  },
		{ name = 'tr_5',  entityType = 'SpriteEntity',  x = 563,  y = 367,  order = 0,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/RavenGroundMg/treugolnik_3uroven.png',  width = 86,  height = 76,  },
		{ name = 'tr_9',  entityType = 'SpriteEntity',  x = 390,  y = 366,  order = 0,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/RavenGroundMg/treugolnik_3uroven.png',  width = 86,  height = 76,  },
		{ name = 'tr_8',  entityType = 'SpriteEntity',  x = 432,  y = 369,  order = 0,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/RavenGroundMg/treugolnik_3uroven_.png',  width = 86,  height = 76,  },
		{ name = 'tr_10',  entityType = 'SpriteEntity',  x = 609,  y = 290,  order = 0,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/RavenGroundMg/treugolnik_4uroven.png',  width = 86,  height = 76,  },
		{ name = 'tr_11',  entityType = 'SpriteEntity',  x = 567,  y = 293,  order = 0,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/RavenGroundMg/treugolnik_4uroven_.png',  width = 86,  height = 76,  },
		{ name = 'tr_12',  entityType = 'SpriteEntity',  x = 523,  y = 291,  order = 0,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/RavenGroundMg/treugolnik_4uroven.png',  width = 86,  height = 76,  },
		{ name = 'tr_15',  entityType = 'SpriteEntity',  x = 390,  y = 295,  order = 0,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/RavenGroundMg/treugolnik_4uroven_.png',  width = 86,  height = 76,  },
		{ name = 'tr_16',  entityType = 'SpriteEntity',  x = 346,  y = 291,  order = 0,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/RavenGroundMg/treugolnik_4uroven.png',  width = 86,  height = 76,  },
		{ name = 'tr_17',  entityType = 'SpriteEntity',  x = 654,  y = 216,  order = 0,  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/Screens/RavenGroundMg/treugolnik_1uroven.png',  width = 86,  height = 76,  },
		{ name = 'tr_18',  entityType = 'SpriteEntity',  x = 610,  y = 217,  order = 0,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/RavenGroundMg/treugolnik_1uroven_.png',  width = 86,  height = 76,  },
		{ name = 'tr_19',  entityType = 'SpriteEntity',  x = 565,  y = 216,  order = 0,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/RavenGroundMg/treugolnik_1uroven.png',  width = 86,  height = 76,  },
		{ name = 'tr_20',  entityType = 'SpriteEntity',  x = 522,  y = 216,  order = 0,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/RavenGroundMg/treugolnik_1uroven_.png',  width = 86,  height = 76,  },
		{ name = 'tr_21',  entityType = 'SpriteEntity',  x = 477,  y = 214,  order = 0,  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/Screens/RavenGroundMg/treugolnik_1uroven.png',  width = 86,  height = 76,  },
		{ name = 'tr_22',  entityType = 'SpriteEntity',  x = 434,  y = 217,  order = 0,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/RavenGroundMg/treugolnik_1uroven_.png',  width = 86,  height = 76,  },
		{ name = 'tr_23',  entityType = 'SpriteEntity',  x = 388,  y = 214,  order = 0,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/RavenGroundMg/treugolnik_1uroven.png',  width = 86,  height = 76,  },
		{ name = 'r_2',  entityType = 'SpriteEntity',  x = 433,  y = 180,  order = 0,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/RavenGroundMg/fishka_3.png',  width = 66,  height = 66,  },
		{ name = 'r_3',  entityType = 'SpriteEntity',  x = 346,  y = 333,  order = 0,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/RavenGroundMg/fishka_3.png',  width = 66,  height = 66,  },
		{ name = 'r_4',  entityType = 'SpriteEntity',  x = 476,  y = 557,  order = 0,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/RavenGroundMg/fishka_3.png',  width = 66,  height = 66,  },
		{ name = 'r_5',  entityType = 'SpriteEntity',  x = 562,  y = 406,  order = 0,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/RavenGroundMg/fishka_3.png',  width = 66,  height = 66,  },
		{ name = 'r_6',  entityType = 'SpriteEntity',  x = 962,  y = 132,  order = 0,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/RavenGroundMg/fishka_3.png',  width = 66,  height = 66,  },
		{ name = 'r_7',  entityType = 'SpriteEntity',  x = 968,  y = 196,  order = 0,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/RavenGroundMg/fishka_3.png',  width = 66,  height = 66,  },
		{ name = 'el_2',  entityType = 'SpriteEntity',  x = 343,  y = 180,  order = 0,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/RavenGroundMg/fishka_4.png',  width = 66,  height = 66,  },
		{ name = 'el_3',  entityType = 'SpriteEntity',  x = 477,  y = 253,  order = 0,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/RavenGroundMg/fishka_4.png',  width = 66,  height = 66,  },
		{ name = 'el_4',  entityType = 'SpriteEntity',  x = 960,  y = 61,  order = 0,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/RavenGroundMg/fishka_4.png',  width = 66,  height = 66,  },
		{ name = 'el_5',  entityType = 'SpriteEntity',  x = 475,  y = 406,  order = 0,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/RavenGroundMg/fishka_4.png',  width = 66,  height = 66,  },
		{ name = 'el_6',  entityType = 'SpriteEntity',  x = 965,  y = 260,  order = 0,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/RavenGroundMg/fishka_4.png',  width = 66,  height = 66,  },
		{ name = 'el_7',  entityType = 'SpriteEntity',  x = 963,  y = 390,  order = 0,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/RavenGroundMg/fishka_4.png',  width = 66,  height = 66,  },
		{ name = 'g_2',  entityType = 'SpriteEntity',  x = 522,  y = 180,  order = 0,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/RavenGroundMg/fishka_2.png',  width = 66,  height = 66,  },
		{ name = 'g_3',  entityType = 'SpriteEntity',  x = 655,  y = 253,  order = 0,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/RavenGroundMg/fishka_2.png',  width = 66,  height = 66,  },
		{ name = 'g_4',  entityType = 'SpriteEntity',  x = 606,  y = 333,  order = 0,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/RavenGroundMg/fishka_2.png',  width = 66,  height = 66,  },
		{ name = 'g_5',  entityType = 'SpriteEntity',  x = 435,  y = 333,  order = 0,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/RavenGroundMg/fishka_2.png',  width = 66,  height = 66,  },
		{ name = 'g_6',  entityType = 'SpriteEntity',  x = 431,  y = 483,  order = 0,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/RavenGroundMg/fishka_2.png',  width = 66,  height = 66,  },
		{ name = 'g_7',  entityType = 'SpriteEntity',  x = 966,  y = 325,  order = 0,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/RavenGroundMg/fishka_2.png',  width = 66,  height = 66,  },
		{ name = 'b_2',  entityType = 'SpriteEntity',  x = 389,  y = 253,  order = 0,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/RavenGroundMg/fishka_1.png',  width = 66,  height = 66,  },
		{ name = 'b_3',  entityType = 'SpriteEntity',  x = 611,  y = 180,  order = 0,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/RavenGroundMg/fishka_1.png',  width = 66,  height = 66,  },
		{ name = 'b_4',  entityType = 'SpriteEntity',  x = 521,  y = 333,  order = 0,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/RavenGroundMg/fishka_1.png',  width = 66,  height = 66,  },
		{ name = 'b_5',  entityType = 'SpriteEntity',  x = 393,  y = 406,  order = 0,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/RavenGroundMg/fishka_1.png',  width = 66,  height = 66,  },
		{ name = 'b_6',  entityType = 'SpriteEntity',  x = 516,  y = 483,  order = 0,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/RavenGroundMg/fishka_1.png',  width = 66,  height = 66,  },
		{ name = 'b_7',  entityType = 'SpriteEntity',  x = 964,  y = 457,  order = 0,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/RavenGroundMg/fishka_1.png',  width = 66,  height = 66,  },
		{ name = 'area_return',  entityType = 'SpriteEntity',  x = 421,  y = 685,  order = 0,  scaleX = 8.5,  scaleY = 1.7,  color = {r = 1, g = 1, b = 1, a = 0.00392157},  editingLocked = false,  treeItemIsExpanded = true,  width = 100,  height = 100,  },
		{ name = 'movie',  entityType = 'VideoEntity',  x = 476,  y = 380,  order = 4,  angle = 180,  editingLocked = false,  treeItemIsExpanded = true,  path = 'Data/Video/RavenMgScreens/RavenGroundMg/movie.webm',  hasAlpha = true,  isLooped = true,  },
		{ name = 'bambuk',  entityType = 'SpriteEntity',  x = 476,  y = 367,  order = 10,  isRespondable = false,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/RavenGroundMg/bambuk.png',  width = 460,  height = 400,  },
		{ name = 'tr_7',  entityType = 'SpriteEntity',  x = 477,  y = 368,  order = 10,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/RavenGroundMg/treugolnik_3uroven.png',  width = 86,  height = 76,  },
		{ name = 'tr_4',  entityType = 'SpriteEntity',  x = 432,  y = 442,  order = 10,  angle = 180,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/RavenGroundMg/treugolnik_4uroven_.png',  width = 86,  height = 76,  },
		{ name = 'b_1',  entityType = 'SpriteEntity',  x = 259,  y = 180,  order = 20,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/RavenGroundMg/fishka_1.png',  width = 66,  height = 66,  },
		{ name = 'lenta_22',  entityType = 'SpriteEntity',  x = 434,  y = 205,  order = 150,  isRespondable = false,  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/Screens/RavenGroundMg/treugolnik1_[].png',  width = 190,  height = 192,  fps = 14,  framesCount = 14,  },
		{ name = 'lenta_3',  entityType = 'SpriteEntity',  x = 477,  y = 434,  order = 150,  isRespondable = false,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/RavenGroundMg/treugolnik1_[].png',  width = 190,  height = 192,  fps = 14,  framesCount = 14,  },
		{ name = 'lenta_6',  entityType = 'SpriteEntity',  x = 521,  y = 358,  order = 150,  isRespondable = false,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/RavenGroundMg/treugolnik1_[].png',  width = 190,  height = 192,  fps = 14,  framesCount = 14,  },
		{ name = 'lenta_8',  entityType = 'SpriteEntity',  x = 435,  y = 360,  order = 150,  isRespondable = false,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/RavenGroundMg/treugolnik1_[].png',  width = 190,  height = 192,  fps = 14,  framesCount = 14,  },
		{ name = 'lenta_11',  entityType = 'SpriteEntity',  x = 564,  y = 283,  order = 150,  isRespondable = false,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/RavenGroundMg/treugolnik1_[].png',  width = 190,  height = 192,  fps = 14,  framesCount = 14,  },
		{ name = 'lenta_13',  entityType = 'SpriteEntity',  x = 478,  y = 282,  order = 150,  isRespondable = false,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/RavenGroundMg/treugolnik1_[].png',  width = 190,  height = 192,  fps = 14,  framesCount = 14,  },
		{ name = 'lenta_15',  entityType = 'SpriteEntity',  x = 390,  y = 284,  order = 150,  isRespondable = false,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/RavenGroundMg/treugolnik1_[].png',  width = 190,  height = 192,  fps = 14,  framesCount = 14,  },
		{ name = 'lenta_18',  entityType = 'SpriteEntity',  x = 610,  y = 206,  order = 150,  isRespondable = false,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/RavenGroundMg/treugolnik1_[].png',  width = 190,  height = 192,  fps = 14,  framesCount = 14,  },
		{ name = 'lenta_20',  entityType = 'SpriteEntity',  x = 522,  y = 207,  order = 150,  isRespondable = false,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/RavenGroundMg/treugolnik1_[].png',  width = 190,  height = 192,  fps = 14,  framesCount = 14,  },
		{ name = 'lenta_24',  entityType = 'SpriteEntity',  x = 348,  y = 208,  order = 150,  isRespondable = false,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/RavenGroundMg/treugolnik1_[].png',  width = 190,  height = 192,  fps = 14,  framesCount = 14,  },
		{ name = 'lenta_25',  entityType = 'SpriteEntity',  x = 297,  y = 206,  order = 160,  isRespondable = false,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/RavenGroundMg/treugolnik2_[].png',  width = 177,  height = 183,  fps = 15,  framesCount = 14,  },
		{ name = 'lenta_23',  entityType = 'SpriteEntity',  x = 383,  y = 208,  order = 160,  isRespondable = false,  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/Screens/RavenGroundMg/treugolnik2_[].png',  width = 177,  height = 183,  fps = 15,  framesCount = 14,  },
		{ name = 'lenta_1',  entityType = 'SpriteEntity',  x = 471,  y = 512,  order = 160,  isRespondable = false,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/RavenGroundMg/treugolnik2_[].png',  width = 177,  height = 183,  fps = 15,  framesCount = 14,  },
		{ name = 'lenta_2',  entityType = 'SpriteEntity',  x = 517,  y = 438,  order = 160,  isRespondable = false,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/RavenGroundMg/treugolnik2_[].png',  width = 177,  height = 183,  fps = 15,  framesCount = 14,  },
		{ name = 'lenta_4',  entityType = 'SpriteEntity',  x = 428,  y = 437,  order = 160,  isRespondable = false,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/RavenGroundMg/treugolnik2_[].png',  width = 177,  height = 183,  fps = 15,  framesCount = 14,  },
		{ name = 'lenta_5',  entityType = 'SpriteEntity',  x = 557,  y = 364,  order = 160,  isRespondable = false,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/RavenGroundMg/treugolnik2_[].png',  width = 177,  height = 183,  fps = 15,  framesCount = 14,  },
		{ name = 'lenta_7',  entityType = 'SpriteEntity',  x = 474,  y = 362,  order = 160,  isRespondable = false,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/RavenGroundMg/treugolnik2_[].png',  width = 177,  height = 183,  fps = 15,  framesCount = 14,  },
		{ name = 'lenta_9',  entityType = 'SpriteEntity',  x = 384,  y = 362,  order = 160,  isRespondable = false,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/RavenGroundMg/treugolnik2_[].png',  width = 177,  height = 183,  fps = 15,  framesCount = 14,  },
		{ name = 'lenta_10',  entityType = 'SpriteEntity',  x = 603,  y = 285,  order = 160,  isRespondable = false,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/RavenGroundMg/treugolnik2_[].png',  width = 177,  height = 183,  fps = 15,  framesCount = 14,  },
		{ name = 'lenta_12',  entityType = 'SpriteEntity',  x = 517,  y = 286,  order = 160,  isRespondable = false,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/RavenGroundMg/treugolnik2_[].png',  width = 177,  height = 183,  fps = 15,  framesCount = 14,  },
		{ name = 'lenta_14',  entityType = 'SpriteEntity',  x = 430,  y = 285,  order = 160,  isRespondable = false,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/RavenGroundMg/treugolnik2_[].png',  width = 177,  height = 183,  fps = 15,  framesCount = 14,  },
		{ name = 'lenta_16',  entityType = 'SpriteEntity',  x = 341,  y = 287,  order = 160,  isRespondable = false,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/RavenGroundMg/treugolnik2_[].png',  width = 177,  height = 183,  fps = 15,  framesCount = 14,  },
		{ name = 'lenta_17',  entityType = 'SpriteEntity',  x = 649,  y = 208,  order = 160,  isRespondable = false,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/RavenGroundMg/treugolnik2_[].png',  width = 177,  height = 183,  fps = 15,  framesCount = 14,  },
		{ name = 'lenta_19',  entityType = 'SpriteEntity',  x = 561,  y = 207,  order = 160,  isRespondable = false,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/RavenGroundMg/treugolnik2_[].png',  width = 177,  height = 183,  fps = 15,  framesCount = 14,  },
		{ name = 'lenta_21',  entityType = 'SpriteEntity',  x = 471,  y = 208,  order = 160,  isRespondable = false,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/RavenGroundMg/treugolnik2_[].png',  width = 177,  height = 183,  fps = 15,  framesCount = 14,  },
		{ name = 'array_1',  entityType = 'SpriteEntity',  x = 475,  y = 519,  order = 200,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/RavenGroundMg/lenta.png',  width = 100,  height = 92,  mode = 4,  fps = 30,  framesCount = 12,  },
		{ name = 'FrameEarth',  entityType = 'SpriteEntity',  x = 475,  y = 337,  order = 200,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/RavenGroundMg/Frame_Earth.png',  width = 744,  height = 700,  },
		{ name = 'new text',  entityType = 'TextEntity',  parentName = 'FrameEarth',  x = 0,  y = -267,  order = 0,  editingLocked = false,  treeItemIsExpanded = true,  localizationKey = 'BBT_GROUND_POWER',  font = 'Data/Fonts/cyrillic.fnt',  height = 23,  },
		{ name = 'array_24',  entityType = 'SpriteEntity',  x = 347,  y = 216,  order = 200,  angle = 180,  scaleX = -1,  scaleY = 1,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/RavenGroundMg/lenta.png',  width = 100,  height = 92,  mode = 4,  fps = 30,  framesCount = 12,  },
		{ name = 'array_22',  entityType = 'SpriteEntity',  x = 435,  y = 215,  order = 200,  angle = 180,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/RavenGroundMg/lenta.png',  width = 100,  height = 92,  mode = 4,  fps = 30,  framesCount = 12,  },
		{ name = 'array_20',  entityType = 'SpriteEntity',  x = 522,  y = 217,  order = 200,  angle = 180,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/RavenGroundMg/lenta.png',  width = 100,  height = 92,  mode = 4,  fps = 30,  framesCount = 12,  },
		{ name = 'array_18',  entityType = 'SpriteEntity',  x = 610,  y = 217,  order = 200,  angle = 180,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/RavenGroundMg/lenta.png',  width = 100,  height = 92,  mode = 4,  fps = 30,  framesCount = 12,  },
		{ name = 'array_15',  entityType = 'SpriteEntity',  x = 392,  y = 293,  order = 200,  angle = 180,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/RavenGroundMg/lenta.png',  width = 100,  height = 92,  mode = 4,  fps = 30,  framesCount = 12,  },
		{ name = 'array_13',  entityType = 'SpriteEntity',  x = 480,  y = 291,  order = 200,  angle = 180,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/RavenGroundMg/lenta.png',  width = 100,  height = 92,  mode = 4,  fps = 30,  framesCount = 12,  },
		{ name = 'array_11',  entityType = 'SpriteEntity',  x = 567,  y = 293,  order = 200,  angle = 180,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/RavenGroundMg/lenta.png',  width = 100,  height = 92,  mode = 4,  fps = 30,  framesCount = 12,  },
		{ name = 'array_8',  entityType = 'SpriteEntity',  x = 434,  y = 370,  order = 200,  angle = 180,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/RavenGroundMg/lenta.png',  width = 100,  height = 92,  mode = 4,  fps = 30,  framesCount = 12,  },
		{ name = 'array_6',  entityType = 'SpriteEntity',  x = 522,  y = 370,  order = 200,  angle = 180,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/RavenGroundMg/lenta.png',  width = 100,  height = 92,  mode = 4,  fps = 30,  framesCount = 12,  },
		{ name = 'array_3',  entityType = 'SpriteEntity',  x = 479,  y = 445,  order = 200,  angle = 180,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/RavenGroundMg/lenta.png',  width = 100,  height = 92,  mode = 4,  fps = 30,  framesCount = 12,  },
		{ name = 'array_25',  entityType = 'SpriteEntity',  x = 299,  y = 215,  order = 200,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/RavenGroundMg/lenta.png',  width = 100,  height = 92,  mode = 4,  fps = 30,  framesCount = 12,  },
		{ name = 'array_23',  entityType = 'SpriteEntity',  x = 388,  y = 216,  order = 200,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/RavenGroundMg/lenta.png',  width = 100,  height = 92,  mode = 4,  fps = 30,  framesCount = 12,  },
		{ name = 'array_21',  entityType = 'SpriteEntity',  x = 475,  y = 215,  order = 200,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/RavenGroundMg/lenta.png',  width = 100,  height = 92,  mode = 4,  fps = 30,  framesCount = 12,  },
		{ name = 'array_19',  entityType = 'SpriteEntity',  x = 563,  y = 216,  order = 200,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/RavenGroundMg/lenta.png',  width = 100,  height = 92,  mode = 4,  fps = 30,  framesCount = 12,  },
		{ name = 'array_17',  entityType = 'SpriteEntity',  x = 650,  y = 215,  order = 200,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/RavenGroundMg/lenta.png',  width = 100,  height = 92,  mode = 4,  fps = 30,  framesCount = 12,  },
		{ name = 'array_16',  entityType = 'SpriteEntity',  x = 343,  y = 292,  order = 200,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/RavenGroundMg/lenta.png',  width = 100,  height = 92,  mode = 4,  fps = 30,  framesCount = 12,  },
		{ name = 'array_14',  entityType = 'SpriteEntity',  x = 431,  y = 291,  order = 200,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/RavenGroundMg/lenta.png',  width = 100,  height = 92,  mode = 4,  fps = 30,  framesCount = 12,  },
		{ name = 'array_12',  entityType = 'SpriteEntity',  x = 519,  y = 292,  order = 200,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/RavenGroundMg/lenta.png',  width = 100,  height = 92,  mode = 4,  fps = 30,  framesCount = 12,  },
		{ name = 'array_10',  entityType = 'SpriteEntity',  x = 607,  y = 291,  order = 200,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/RavenGroundMg/lenta.png',  width = 100,  height = 92,  mode = 4,  fps = 30,  framesCount = 12,  },
		{ name = 'array_9',  entityType = 'SpriteEntity',  x = 388,  y = 367,  order = 200,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/RavenGroundMg/lenta.png',  width = 100,  height = 92,  mode = 4,  fps = 30,  framesCount = 12,  },
		{ name = 'array_7',  entityType = 'SpriteEntity',  x = 476,  y = 367,  order = 200,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/RavenGroundMg/lenta.png',  width = 100,  height = 92,  mode = 4,  fps = 30,  framesCount = 12,  },
		{ name = 'array_5',  entityType = 'SpriteEntity',  x = 564,  y = 368,  order = 200,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/RavenGroundMg/lenta.png',  width = 100,  height = 92,  mode = 4,  fps = 30,  framesCount = 12,  },
		{ name = 'array_4',  entityType = 'SpriteEntity',  x = 431,  y = 444,  order = 200,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/RavenGroundMg/lenta.png',  width = 100,  height = 92,  mode = 4,  fps = 30,  framesCount = 12,  },
		{ name = 'array_2',  entityType = 'SpriteEntity',  x = 519,  y = 444,  order = 200,  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/Screens/RavenGroundMg/lenta.png',  width = 100,  height = 92,  mode = 4,  fps = 30,  framesCount = 12,  },
	}
	return objects
end
